"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceEvent = void 0;
var DeviceEvent;
(function (DeviceEvent) {
    DeviceEvent["deviceAdded"] = "device added";
    DeviceEvent["deviceRemoved"] = "device removed";
    DeviceEvent["motionDetected"] = "motion detected";
    DeviceEvent["personDetected"] = "person detected";
    DeviceEvent["cryingDetected"] = "crying detected";
    DeviceEvent["soundDetected"] = "sound detected";
    DeviceEvent["petDetected"] = "pet detected";
    DeviceEvent["rings"] = "rings";
    DeviceEvent["sensorOpen"] = "sensor open";
    DeviceEvent["gotRtspUrl"] = "got rtsp url";
    DeviceEvent["commandResult"] = "command result";
    DeviceEvent["propertyChanged"] = "property changed";
    DeviceEvent["livestreamStarted"] = "livestream started";
    DeviceEvent["livestreamStopped"] = "livestream stopped";
    DeviceEvent["livestreamVideoData"] = "livestream video data";
    DeviceEvent["livestreamAudioData"] = "livestream audio data";
    DeviceEvent["downloadStarted"] = "download started";
    DeviceEvent["downloadFinished"] = "download finished";
    DeviceEvent["downloadVideoData"] = "download video data";
    DeviceEvent["downloadAudioData"] = "download audio data";
    DeviceEvent["rtspLivestreamStarted"] = "rtsp livestream started";
    DeviceEvent["rtspLivestreamStopped"] = "rtsp livestream stopped";
})(DeviceEvent = exports.DeviceEvent || (exports.DeviceEvent = {}));
//# sourceMappingURL=event.js.map