"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpDriver = void 0;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpDriver = (driver, schemaVersion) => {
    const base = {
        version: driver.getVersion(),
        connected: driver.isConnected(),
        pushConnected: driver.isPushConnected(),
    };
    if (schemaVersion <= 8) {
        return base;
    }
    // All schemas >= 9
    const driver1 = base;
    driver1.mqttConnected = driver.isMQTTConnected();
    return driver1;
};
exports.dumpDriver = dumpDriver;
//# sourceMappingURL=state.js.map