import { EufySecurity } from "eufy-security-client";
import { DeviceState } from "./device/state";
import { DriverState } from "./driver/state";
import { StationState } from "./station/state";
export declare type Modify<T, R> = Omit<T, keyof R> & R;
export interface EufySecurityStateSchema0 {
    driver: DriverState;
    stations: Array<StationState>;
    devices: Array<DeviceState>;
}
export declare type EufySecurityState = EufySecurityStateSchema0;
export declare const dumpState: (driver: EufySecurity, schemaVersion: number) => EufySecurityState;
//# sourceMappingURL=state.d.ts.map