"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceCommand = void 0;
var DeviceCommand;
(function (DeviceCommand) {
    DeviceCommand["getPropertiesMetadata"] = "device.get_properties_metadata";
    DeviceCommand["getProperties"] = "device.get_properties";
    DeviceCommand["setProperty"] = "device.set_property";
    DeviceCommand["hasProperty"] = "device.has_property";
    DeviceCommand["startLivestream"] = "device.start_livestream";
    DeviceCommand["stopLivestream"] = "device.stop_livestream";
    DeviceCommand["isLiveStreaming"] = "device.is_livestreaming";
    DeviceCommand["triggerAlarm"] = "device.trigger_alarm";
    DeviceCommand["resetAlarm"] = "device.reset_alarm";
    DeviceCommand["panAndTilt"] = "device.pan_and_tilt";
    DeviceCommand["quickResponse"] = "device.quick_response";
    DeviceCommand["startDownload"] = "device.start_download";
    DeviceCommand["cancelDownload"] = "device.cancel_download";
    DeviceCommand["getVoices"] = "device.get_voices";
    DeviceCommand["getCommands"] = "device.get_commands";
    DeviceCommand["hasCommand"] = "device.has_command";
    DeviceCommand["startRTSPLivestream"] = "device.start_rtsp_livestream";
    DeviceCommand["stopRTSPLivestream"] = "device.stop_rtsp_livestream";
    DeviceCommand["isRTSPLiveStreaming"] = "device.is_rtsp_livestreaming";
    DeviceCommand["calibrateLock"] = "device.calibrate_lock";
    //Deprecated
    DeviceCommand["setStatusLed"] = "device.set_status_led";
    DeviceCommand["setAutoNightVision"] = "device.set_auto_night_vision";
    DeviceCommand["setMotionDetection"] = "device.set_motion_detection";
    DeviceCommand["setSoundDetection"] = "device.set_sound_detection";
    DeviceCommand["setPetDetection"] = "device.set_pet_detection";
    DeviceCommand["setRTSPStream"] = "device.set_rtsp_stream";
    DeviceCommand["setAntiTheftDetection"] = "device.set_anti_theft_detection";
    DeviceCommand["setWatermark"] = "device.set_watermark";
    DeviceCommand["enableDevice"] = "device.enable_device";
    DeviceCommand["lockDevice"] = "device.lock_device";
})(DeviceCommand = exports.DeviceCommand || (exports.DeviceCommand = {}));
//# sourceMappingURL=command.js.map