import { EufySecurity } from "eufy-security-client";
import { Client } from "../server";
import { DeviceCommand } from "./command";
import { IncomingMessageDevice } from "./incoming_message";
import { DeviceResultTypes } from "./outgoing_message";
export declare class DeviceMessageHandler {
    private static streamingDevices;
    static getStreamingDevices(stationSN: string): Array<Client>;
    static removeStreamingDevice(stationSN: string, client: Client): void;
    static addStreamingDevice(stationSN: string, client: Client): void;
    static handle(message: IncomingMessageDevice, driver: EufySecurity, client: Client): Promise<DeviceResultTypes[DeviceCommand]>;
}
//# sourceMappingURL=message_handler.d.ts.map