"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpDevice = void 0;
const eufy_security_client_1 = require("eufy-security-client");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpDevice = (device, schemaVersion) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, _55, _56, _57, _58, _59, _60, _61, _62, _63, _64, _65, _66, _67, _68, _69, _70, _71, _72, _73, _74, _75, _76, _77, _78, _79, _80, _81, _82, _83, _84, _85, _86, _87, _88, _89, _90, _91, _92, _93, _94, _95, _96;
    const base = {
        name: (_a = device.getPropertyValue(eufy_security_client_1.PropertyName.Name)) === null || _a === void 0 ? void 0 : _a.value,
        model: (_b = device.getPropertyValue(eufy_security_client_1.PropertyName.Model)) === null || _b === void 0 ? void 0 : _b.value,
        serialNumber: (_c = device.getPropertyValue(eufy_security_client_1.PropertyName.SerialNumber)) === null || _c === void 0 ? void 0 : _c.value,
        hardwareVersion: (_d = device.getPropertyValue(eufy_security_client_1.PropertyName.HardwareVersion)) === null || _d === void 0 ? void 0 : _d.value,
        softwareVersion: (_e = device.getPropertyValue(eufy_security_client_1.PropertyName.SoftwareVersion)) === null || _e === void 0 ? void 0 : _e.value,
        stationSerialNumber: (_f = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStationSN)) === null || _f === void 0 ? void 0 : _f.value,
        enabled: (_g = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceEnabled)) === null || _g === void 0 ? void 0 : _g.value,
        state: (_h = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceState)) === null || _h === void 0 ? void 0 : _h.value,
        battery: (_j = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBattery)) === null || _j === void 0 ? void 0 : _j.value,
        batteryTemperature: (_k = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryTemp)) === null || _k === void 0 ? void 0 : _k.value,
        batteryLow: (_l = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryLow)) === null || _l === void 0 ? void 0 : _l.value,
        lastChargingDays: (_m = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingDays)) === null || _m === void 0 ? void 0 : _m.value,
        lastChargingTotalEvents: (_o = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingTotalEvents)) === null || _o === void 0 ? void 0 : _o.value,
        lastChargingRecordedEvents: (_p = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingRecordedEvents)) === null || _p === void 0 ? void 0 : _p.value,
        lastChargingFalseEvents: (_q = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingFalseEvents)) === null || _q === void 0 ? void 0 : _q.value,
        batteryUsageLastWeek: (_r = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryUsageLastWeek)) === null || _r === void 0 ? void 0 : _r.value,
        motionDetected: (_s = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetected)) === null || _s === void 0 ? void 0 : _s.value,
        personDetected: (_t = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePersonDetected)) === null || _t === void 0 ? void 0 : _t.value,
        personName: (_u = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePersonName)) === null || _u === void 0 ? void 0 : _u.value,
        soundDetected: (_v = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetected)) === null || _v === void 0 ? void 0 : _v.value,
        petDetected: (_w = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePetDetected)) === null || _w === void 0 ? void 0 : _w.value,
        cryingDetected: (_x = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCryingDetected)) === null || _x === void 0 ? void 0 : _x.value,
        ringing: (_y = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRinging)) === null || _y === void 0 ? void 0 : _y.value,
        locked: (_z = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLocked)) === null || _z === void 0 ? void 0 : _z.value,
        antitheftDetection: (_0 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAntitheftDetection)) === null || _0 === void 0 ? void 0 : _0.value,
        autoNightvision: (_1 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoNightvision)) === null || _1 === void 0 ? void 0 : _1.value,
        motionDetection: (_2 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetection)) === null || _2 === void 0 ? void 0 : _2.value,
        soundDetection: (_3 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetection)) === null || _3 === void 0 ? void 0 : _3.value,
        petDetection: (_4 = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePetDetection)) === null || _4 === void 0 ? void 0 : _4.value,
        rtspStream: (_5 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRTSPStream)) === null || _5 === void 0 ? void 0 : _5.value,
        watermark: (_6 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWatermark)) === null || _6 === void 0 ? void 0 : _6.value,
        lockStatus: (_7 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockStatus)) === null || _7 === void 0 ? void 0 : _7.value,
        motionSensorPIREvent: (_8 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionSensorPIREvent)) === null || _8 === void 0 ? void 0 : _8.value,
        wifiRSSI: (_9 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWifiRSSI)) === null || _9 === void 0 ? void 0 : _9.value,
        pictureUrl: (_10 = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePictureUrl)) === null || _10 === void 0 ? void 0 : _10.value,
        sensorOpen: (_11 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSensorOpen)) === null || _11 === void 0 ? void 0 : _11.value,
        sensorChangeTime: (_12 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSensorChangeTime)) === null || _12 === void 0 ? void 0 : _12.value,
    };
    if (schemaVersion == 0) {
        base.ledStatus = (_13 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStatusLed)) === null || _13 === void 0 ? void 0 : _13.value;
        return base;
    }
    const device1 = base;
    device1.type = device.getPropertyValue(eufy_security_client_1.PropertyName.Type).value;
    if (schemaVersion <= 2) {
        return device1;
    }
    const device3 = device1;
    device3.motionDetectionType = (_14 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionType)) === null || _14 === void 0 ? void 0 : _14.value;
    device3.motionTracking = (_15 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionTracking)) === null || _15 === void 0 ? void 0 : _15.value;
    device3.soundDetectionType = (_16 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetectionType)) === null || _16 === void 0 ? void 0 : _16.value;
    device3.light = (_17 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLight)) === null || _17 === void 0 ? void 0 : _17.value;
    device3.microphone = (_18 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMicrophone)) === null || _18 === void 0 ? void 0 : _18.value;
    device3.speaker = (_19 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSpeaker)) === null || _19 === void 0 ? void 0 : _19.value;
    device3.speakerVolume = (_20 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSpeakerVolume)) === null || _20 === void 0 ? void 0 : _20.value;
    device3.ringtoneVolume = (_21 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingtoneVolume)) === null || _21 === void 0 ? void 0 : _21.value;
    device3.audioRecording = (_22 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAudioRecording)) === null || _22 === void 0 ? void 0 : _22.value;
    device3.powerSource = (_23 = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePowerSource)) === null || _23 === void 0 ? void 0 : _23.value;
    device3.powerWorkingMode = (_24 = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePowerWorkingMode)) === null || _24 === void 0 ? void 0 : _24.value;
    device3.recordingEndClipMotionStops = (_25 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRecordingEndClipMotionStops)) === null || _25 === void 0 ? void 0 : _25.value;
    device3.recordingClipLength = (_26 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRecordingClipLength)) === null || _26 === void 0 ? void 0 : _26.value;
    device3.recordingRetriggerInterval = (_27 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRecordingRetriggerInterval)) === null || _27 === void 0 ? void 0 : _27.value;
    device3.videoStreamingQuality = (_28 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoStreamingQuality)) === null || _28 === void 0 ? void 0 : _28.value;
    device3.videoRecordingQuality = (_29 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoRecordingQuality)) === null || _29 === void 0 ? void 0 : _29.value;
    device3.videoWDR = (_30 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoWDR)) === null || _30 === void 0 ? void 0 : _30.value;
    device3.lightSettingsEnable = (_31 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsEnable)) === null || _31 === void 0 ? void 0 : _31.value;
    device3.lightSettingsBrightnessManual = (_32 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsBrightnessManual)) === null || _32 === void 0 ? void 0 : _32.value;
    device3.lightSettingsBrightnessMotion = (_33 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsBrightnessMotion)) === null || _33 === void 0 ? void 0 : _33.value;
    device3.lightSettingsBrightnessSchedule = (_34 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsBrightnessSchedule)) === null || _34 === void 0 ? void 0 : _34.value;
    device3.lightSettingsMotionTriggered = (_35 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionTriggered)) === null || _35 === void 0 ? void 0 : _35.value;
    device3.lightSettingsMotionTriggeredDistance = (_36 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionTriggeredDistance)) === null || _36 === void 0 ? void 0 : _36.value;
    device3.lightSettingsMotionTriggeredTimer = (_37 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionTriggeredTimer)) === null || _37 === void 0 ? void 0 : _37.value;
    device3.chimeIndoor = (_38 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeIndoor)) === null || _38 === void 0 ? void 0 : _38.value;
    device3.chimeHomebase = (_39 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeHomebase)) === null || _39 === void 0 ? void 0 : _39.value;
    device3.chimeHomebaseRingtoneVolume = (_40 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeHomebaseRingtoneVolume)) === null || _40 === void 0 ? void 0 : _40.value;
    device3.chimeHomebaseRingtoneType = (_41 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeHomebaseRingtoneType)) === null || _41 === void 0 ? void 0 : _41.value;
    device3.notificationType = (_42 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationType)) === null || _42 === void 0 ? void 0 : _42.value;
    device3.rotationSpeed = (_43 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRotationSpeed)) === null || _43 === void 0 ? void 0 : _43.value;
    device3.notificationPerson = (_44 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationPerson)) === null || _44 === void 0 ? void 0 : _44.value;
    device3.notificationPet = (_45 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationPet)) === null || _45 === void 0 ? void 0 : _45.value;
    device3.notificationAllOtherMotion = (_46 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationAllOtherMotion)) === null || _46 === void 0 ? void 0 : _46.value;
    device3.notificationCrying = (_47 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationCrying)) === null || _47 === void 0 ? void 0 : _47.value;
    device3.notificationAllSound = (_48 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationAllSound)) === null || _48 === void 0 ? void 0 : _48.value;
    device3.notificationIntervalTime = (_49 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationIntervalTime)) === null || _49 === void 0 ? void 0 : _49.value;
    device3.notificationRing = (_50 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationRing)) === null || _50 === void 0 ? void 0 : _50.value;
    device3.notificationMotion = (_51 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationMotion)) === null || _51 === void 0 ? void 0 : _51.value;
    if (schemaVersion === 3) {
        device3.motionDetectionSensivity = (_52 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivity)) === null || _52 === void 0 ? void 0 : _52.value;
        device3.soundDetectionSensivity = (_53 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetectionSensitivity)) === null || _53 === void 0 ? void 0 : _53.value;
        return device3;
    }
    const device4 = device3;
    device4.chirpVolume = (_54 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChirpVolume)) === null || _54 === void 0 ? void 0 : _54.value;
    device4.chirpTone = (_55 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChirpTone)) === null || _55 === void 0 ? void 0 : _55.value;
    device4.motionDetectionSensitivity = (_56 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivity)) === null || _56 === void 0 ? void 0 : _56.value;
    device4.soundDetectionSensitivity = (_57 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetectionSensitivity)) === null || _57 === void 0 ? void 0 : _57.value;
    device4.videoHdr = (_58 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoHDR)) === null || _58 === void 0 ? void 0 : _58.value;
    device4.videoDistortionCorrection = (_59 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoDistortionCorrection)) === null || _59 === void 0 ? void 0 : _59.value;
    device4.videoRingRecord = (_60 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoRingRecord)) === null || _60 === void 0 ? void 0 : _60.value;
    device4.statusLed = (_61 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStatusLed)) === null || _61 === void 0 ? void 0 : _61.value;
    device4.rtspStreamUrl = (_62 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRTSPStreamUrl)) === null || _62 === void 0 ? void 0 : _62.value;
    device4.chargingStatus = (_63 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChargingStatus)) === null || _63 === void 0 ? void 0 : _63.value;
    device4.wifiSignalLevel = (_64 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWifiSignalLevel)) === null || _64 === void 0 ? void 0 : _64.value;
    if (schemaVersion <= 4) {
        return device4;
    }
    const device5 = device4;
    device5.nightvision = (_65 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNightvision)) === null || _65 === void 0 ? void 0 : _65.value;
    device5.batteryIsCharging = (_66 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryIsCharging)) === null || _66 === void 0 ? void 0 : _66.value;
    if (schemaVersion <= 5) {
        return device5;
    }
    const device6 = device5;
    device6.motionDetectionRange = (_67 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRange)) === null || _67 === void 0 ? void 0 : _67.value;
    device6.motionDetectionRangeStandardSensitivity = (_68 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeStandardSensitivity)) === null || _68 === void 0 ? void 0 : _68.value;
    device6.motionDetectionRangeAdvancedLeftSensitivity = (_69 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeAdvancedLeftSensitivity)) === null || _69 === void 0 ? void 0 : _69.value;
    device6.motionDetectionRangeAdvancedMiddleSensitivity = (_70 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeAdvancedMiddleSensitivity)) === null || _70 === void 0 ? void 0 : _70.value;
    device6.motionDetectionRangeAdvancedRightSensitivity = (_71 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeAdvancedRightSensitivity)) === null || _71 === void 0 ? void 0 : _71.value;
    device6.motionDetectionTestMode = (_72 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTestMode)) === null || _72 === void 0 ? void 0 : _72.value;
    device6.motionTrackingSensitivity = (_73 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionTrackingSensitivity)) === null || _73 === void 0 ? void 0 : _73.value;
    device6.motionAutoCruise = (_74 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionAutoCruise)) === null || _74 === void 0 ? void 0 : _74.value;
    device6.motionOutOfViewDetection = (_75 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionOutOfViewDetection)) === null || _75 === void 0 ? void 0 : _75.value;
    device6.lightSettingsColorTemperatureManual = (_76 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColorTemperatureManual)) === null || _76 === void 0 ? void 0 : _76.value;
    device6.lightSettingsColorTemperatureMotion = (_77 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColorTemperatureMotion)) === null || _77 === void 0 ? void 0 : _77.value;
    device6.lightSettingsColorTemperatureSchedule = (_78 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColorTemperatureSchedule)) === null || _78 === void 0 ? void 0 : _78.value;
    device6.lightSettingsMotionActivationMode = (_79 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionActivationMode)) === null || _79 === void 0 ? void 0 : _79.value;
    device6.videoNightvisionImageAdjustment = (_80 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoNightvisionImageAdjustment)) === null || _80 === void 0 ? void 0 : _80.value;
    device6.videoColorNightvision = (_81 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoColorNightvision)) === null || _81 === void 0 ? void 0 : _81.value;
    device6.autoCalibration = (_82 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoCalibration)) === null || _82 === void 0 ? void 0 : _82.value;
    if (schemaVersion <= 8) {
        return device6;
    }
    // All schemas >= 9
    const device7 = device6;
    device7.lockSettingsAutoLock = (_83 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsAutoLock)) === null || _83 === void 0 ? void 0 : _83.value;
    device7.lockSettingsAutoLockTimer = (_84 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsAutoLockTimer)) === null || _84 === void 0 ? void 0 : _84.value;
    device7.lockSettingsAutoLockSchedule = (_85 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsAutoLockSchedule)) === null || _85 === void 0 ? void 0 : _85.value;
    device7.lockSettingsAutoLockScheduleStartTime = (_86 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsAutoLockScheduleStartTime)) === null || _86 === void 0 ? void 0 : _86.value;
    device7.lockSettingsAutoLockScheduleEndTime = (_87 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsAutoLockScheduleEndTime)) === null || _87 === void 0 ? void 0 : _87.value;
    device7.lockSettingsOneTouchLocking = (_88 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsOneTouchLocking)) === null || _88 === void 0 ? void 0 : _88.value;
    device7.lockSettingsWrongTryProtection = (_89 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsWrongTryProtection)) === null || _89 === void 0 ? void 0 : _89.value;
    device7.lockSettingsWrongTryAttempts = (_90 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsWrongTryAttempts)) === null || _90 === void 0 ? void 0 : _90.value;
    device7.lockSettingsWrongTryLockdownTime = (_91 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsWrongTryLockdownTime)) === null || _91 === void 0 ? void 0 : _91.value;
    device7.lockSettingsScramblePasscode = (_92 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsScramblePasscode)) === null || _92 === void 0 ? void 0 : _92.value;
    device7.lockSettingsSound = (_93 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsSound)) === null || _93 === void 0 ? void 0 : _93.value;
    device7.lockSettingsNotification = (_94 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsNotification)) === null || _94 === void 0 ? void 0 : _94.value;
    device7.lockSettingsNotificationUnlocked = (_95 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsNotificationUnlocked)) === null || _95 === void 0 ? void 0 : _95.value;
    device7.lockSettingsNotificationLocked = (_96 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockSettingsNotificationLocked)) === null || _96 === void 0 ? void 0 : _96.value;
    return device7;
};
exports.dumpDevice = dumpDevice;
//# sourceMappingURL=state.js.map