import { EufySecurity } from "eufy-security-client";
import { Logger } from "tslog";
import { Client, ClientsController } from "../server";
import { DriverCommand } from "./command";
import { IncomingMessageDriver } from "./incoming_message";
import { DriverResultTypes } from "./outgoing_message";
export declare class DriverMessageHandler {
    static captchaId: string | null;
    static handle(message: IncomingMessageDriver, driver: EufySecurity, client: Client, clientsController: ClientsController, logger: Logger): Promise<DriverResultTypes[DriverCommand]>;
}
//# sourceMappingURL=message_handler.d.ts.map