"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StationCommand = void 0;
var StationCommand;
(function (StationCommand) {
    StationCommand["reboot"] = "station.reboot";
    StationCommand["isConnected"] = "station.is_connected";
    StationCommand["connect"] = "station.connect";
    StationCommand["disconnect"] = "station.disconnect";
    StationCommand["getPropertiesMetadata"] = "station.get_properties_metadata";
    StationCommand["getProperties"] = "station.get_properties";
    StationCommand["setProperty"] = "station.set_property";
    StationCommand["hasProperty"] = "station.has_property";
    StationCommand["triggerAlarm"] = "station.trigger_alarm";
    StationCommand["resetAlarm"] = "station.reset_alarm";
    StationCommand["getCommands"] = "station.get_commands";
    StationCommand["hasCommand"] = "station.has_command";
    //    getCameraInfo = "station.get_camera_info",
    //    getStorageInfo = "station.get_storage_info",
    //Deprecated
    StationCommand["setGuardMode"] = "station.set_guard_mode";
    //Legacy
    StationCommand["isConnectedLegacy"] = "station.isConnected";
})(StationCommand = exports.StationCommand || (exports.StationCommand = {}));
//# sourceMappingURL=command.js.map